Topic: MDB Pro Advanced installation to be used with React

AdeeDesign free asked 7 months ago


**Expected behavior**Install mdb-ui-kit-pro-advanced.I have followed installation instructions step-by-step several times with same result.**Actual behavior**Returned error message. **Resources (screenshots, code snippets etc.)**npm ERR! A complete log of this run can be found in:npm ERR! /Users/macadee/.npm/_logs/2022-04-20T12_59_57_338Z-debug-0.logmacadee@Adees-MBP-6 e-commerce-store-project % npm i git+https://oauth2:myTokenCodePlacedHerex@git.mdbootstrap.com/mdb/standard/mdb-ui-kit-pro-advanced npm ERR! code ENOTEMPTYnpm ERR! syscall renamenpm ERR! path /Users/macadee/node_modules/babel-loadernpm ERR! dest /Users/macadee/node_modules/.babel-loader-zhvLbQWFnpm ERR! errno -66npm ERR! ENOTEMPTY: directory not empty, rename '/Users/xxxxxxxx/node_modules/babel-loader' -> '/Users/xxxxxxx/node_modules/.babel-loader-zhvLbQWF'npm ERR! A complete log of this run can be found in:npm ERR! /Users/macadee/.npm/_logs/2022-04-20T13_13_33_265Z-debug-0.log


Krzysztof Wilk staff commented 7 months ago

Hi!

It seems like there's a problem with a node_modules catalog in your project. Could you:

  1. Remove node_modules catalog
  2. Remove package-lock.json or yarn.lock file
  3. Run MDB5 React Pro Advanced installation
  4. Install other dependencies

and tell me if did it work? You can also try to install this package with a --legacy-peer-deps flag due to some problems with React 18 dependency :)

Keep coding!



Please insert min. 20 characters.

FREE CONSULTATION

Hire our experts to build a dedicated project. We'll analyze your business requirements, for free.

Status

Opened

Specification of the issue

  • User: Free
  • Premium support: No
  • Technology: MDB React
  • MDB Version: MDB5 3.0.0
  • Device: Macbook Pro
  • Browser: Google Chrome
  • OS: macOS Monterey
  • Provided sample code: No
  • Provided link: Yes